Bug Hunting Session
Bug 96244 - Crash after pressing F1+F2 simultaneously
Summary: Crash after pressing F1+F2 simultaneously
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
4.2.8.2 release
Hardware: All Linux (All)
: medium major
Assignee: Caolán McNamara
URL:
Whiteboard: target:5.2.0 target:5.1.4
Keywords:
Depends on:
Blocks:
 
Reported: 2015-12-04 13:13 UTC by Stanislav Horacek
Modified: 2016-10-25 19:03 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
Gdbtrace from 5.0.3 (17.31 KB, text/plain)
2015-12-05 20:12 UTC, Buovjaga
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Stanislav Horacek 2015-12-04 13:13:44 UTC
Steps to reproduce - local Help needs to be installed:
1. Open a new Writer document.
2. Press F1 (open Help) and F2 (open Formula bar) simultaneously. A window with the Help appears.
3. Close the Help window (Ctrl+W). The window with the text document has actually two Formula bars.
4. Press F2 to close the Formula bar.
5. Writer crashes.

The reproducibility probably depends on how the keys are pressed, so try to repeat the steps if the crash does not occur.

Observed only on Ubuntu - tested in 4.2.8.2 (Ubuntu 14.04), 5.0.2.2 and 5.1 beta 2 (Ubuntu 15.10) - clean user profile used.

Not present on Windows - tested in 4.4.6.3 (Windows 7).
Comment 1 Buovjaga 2015-12-05 20:12:34 UTC
Created attachment 121057 [details]
Gdbtrace from 5.0.3

Repro crash.

Ubuntu 15.10 64-bit 
Version: 5.0.3.2
Build ID: 1:5.0.3~rc2-0ubuntu1
Locale: en-US (en_US.UTF-8)
Comment 2 Commit Notification 2016-05-25 11:34:25 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=77e7dc648ebb8b7d946111e2be4dfdbba72840b2

Resolves: tdf#96244 get the right Writer window view for Formula window

It will be available in 5.2.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 3 Commit Notification 2016-05-26 08:24:05 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "libreoffice-5-1":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=97d0e7be1ad95adcd13fff507885047bdcd54d82&h=libreoffice-5-1

Resolves: tdf#96244 get the right Writer window view for Formula window

It will be available in 5.1.4.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.